%global momorel 1

%global with_dvb 1
%global kaffeine_mozver 0.2
%global moz_plugindir %{_libdir}/mozilla/plugins
%global xinever 1.1.16
%global xinerel 1m
%global gstreamerver 0.10.13
%global gstreamer_pluginsver 0.10.13
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: A xine-based Media Player for KDE3
Name: kaffeine
Version: 0.8.8
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://kaffeine.sourceforge.net/
Group: Applications/Multimedia
Source0: http://hftom.free.fr/%{name}-%{version}.tar.bz2
NoSource: 0
Source1: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-mozilla-%{kaffeine_mozver}.tar.bz2
NoSource: 1
Patch0: %{name}-0.8.7-set-initialpreference.patch
Patch1: %{name}-0.8.7-fix-desktop.patch
Patch2: %{name}-0.8.7-kernel2629.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: xine-lib >= %{xinever}
Requires: gstreamer-plugins-base >= %{gstreamer_pluginsver}
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: gettext
BuildPreReq: gstreamer-devel >= %{gstreamerver}
BuildPreReq: gstreamer-plugins-base-devel >= %{gstreamer_pluginsver}
BuildPreReq: lame-devel >= 3.97-2m
BuildPreReq: libogg-devel >= 1.1.3-2m
BuildPreReq: libxml2
BuildPreReq: libvorbis-devel >= 1.1.2-2m
BuildPreReq: libxcb-devel
BuildPreReq: xine-lib >= %{xinever}-%{xinerel}
BuildPreReq: zlib-devel

%description
Kaffeine is a xine-based Media Player for KDE3.

%package plugin
Summary: Browsers plugin using kaffeine for audio/video playback.
Group: Applications/Internet
Requires: %{name} = %{version}-%{release}
Provides: %{name}-firefox-plugin
Provides: %{name}-mozilla-plugin
Obsoletes: %{name}-firefox-plugin
Obsoletes: %{name}-mozilla-plugin

%description plugin
kaffeine-plugin provides multimedia capabilities to Mozilla
or compatible browsers using kaffeine.

%prep
# clean up mozilla-plugin
rm -rf %{_builddir}/%{name}-mozilla-%{kaffeine_mozver}

%setup -q -b 1

%patch0 -p1 -b .initialpreference
%patch1 -p1 -b .fix-desktop
%patch2 -p1 -b .kernel2629~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir}/kde \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
%if ! %{with_dvb}
	--without-dvb \
%endif
	--mandir=%{_mandir} \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

# build mozilla-plugin
cd %{_builddir}/%{name}-mozilla-%{kaffeine_mozver}

CFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix}

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} PACKAGE=%{name}

# install plugin
cd %{_builddir}/%{name}-mozilla-%{kaffeine_mozver}
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_libdir}/kaffeineplugin
mv %{buildroot}%{_prefix}/plugins/* %{buildroot}%{_libdir}/kaffeineplugin/
rm -rf %{buildroot}%{_prefix}/plugins

# link plugin
mkdir -p %{buildroot}%{moz_plugindir}
ln -sf ../../kaffeineplugin/kaffeineplugin.so %{buildroot}%{moz_plugindir}/kaffeineplugin.so

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kaffeine.png %{buildroot}%{_datadir}/pixmaps/kaffeine.png

# conflicts with kdelibs-3.5.9
rm -f %{buildroot}%{_datadir}/mimelnk/application/x-mplayer2.desktop

# clean up
rm -rf %{buildroot}%{_datadir}/locale/xx

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO VERSION
%doc kaffeine/BUGS kaffeine/COPYING-DOCS kaffeine/CREDITS
%doc kaffeine/README.*
%{_bindir}/kaffeine
%{_includedir}/kde/kaffeine
%{_libdir}/kaffeineplugin
%{_libdir}/kde3/libgstreamerpart.la
%{_libdir}/kde3/libgstreamerpart.so
%{_libdir}/kde3/libkaffeinemp3lame.la
%{_libdir}/kde3/libkaffeinemp3lame.so
%{_libdir}/kde3/libkaffeineoggvorbis.la
%{_libdir}/kde3/libkaffeineoggvorbis.so
%{_libdir}/kde3/libxinepart.la
%{_libdir}/kde3/libxinepart.so
%{_libdir}/libkaffeineaudioencoder.la
%{_libdir}/libkaffeineaudioencoder.so*
%if %{with_dvb}
%{_libdir}/libkaffeinedvbplugin.la
%{_libdir}/libkaffeinedvbplugin.so*
%{_libdir}/libkaffeineepgplugin.la
%{_libdir}/libkaffeineepgplugin.so*
%endif
%{_libdir}/libkaffeinepart.la
%{_libdir}/libkaffeinepart.so*
%{_datadir}/applications/kde/kaffeine.desktop
%{_datadir}/apps/gstreamerpart
%{_datadir}/apps/kaffeine
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/profiles/kaffeine.profile.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/doc/HTML/*/kaffeine
%{_datadir}/locale/*/LC_MESSAGES/kaffeine.mo
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/pixmaps/kaffeine.png
%{_datadir}/services/gstreamer_part.desktop
%{_datadir}/services/kaffeinemp3lame.desktop
%{_datadir}/services/kaffeineoggvorbis.desktop
%{_datadir}/services/xine_part.desktop
%{_datadir}/servicetypes/kaffeineaudioencoder.desktop
%if %{with_dvb}
%{_datadir}/servicetypes/kaffeinedvbplugin.desktop
%{_datadir}/servicetypes/kaffeineepgplugin.desktop
%endif

%files plugin
%defattr(-,root,root)
%{moz_plugindir}/kaffeineplugin.so

%changelog
* Sun Jun  7 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.8-1m)
- version 0.8.8, hello again KDE3

* Mon Apr 27 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.1.1m)
- update to version 1.0-pre1
- merge T4R/KDE4/kaffeine4
- update set-initialpreference.patch
- update fix-desktop.patch
- remove kernel2629.patch
- good-bye KDE3

* Thu Mar 26 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.7-6m)
- %%global with_dvb 1

* Wed Mar 25 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.7-5m)
- build without dvb for the moment
  can not build dvb support with kernel-2.6.29

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.7-4m)
- rebuild against rpm-4.6

* Tue Jan 13 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.7-3m)
- update Patch1 for fuzz=0
- License: GPLv2+

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.7-2m)
- change Requires: gst-plugins-base to gstreamer-plugins-base
- change BuildRequires: gst-plugins-base to gstreamer-plugins-base

* Mon Jul  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.7-1m)
- version 0.8.7

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.6-6m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.6-5m)
- rebuild against gcc43

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6-4m)
- move headers to %%{_includedir}/kde

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.6-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.6-2m)
- %%NoSource -> NoSource

* Mon Jan 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.6-1m)
- version 0.8.6
- update fix-desktop.patch
- License: GPLv2

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.5-2m)
- rebuild against libvorbis-1.2.0-1m

* Sun Jul 29 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.5-1m)
- version 0.8.5
- fix kaffeine.desktop
- remove merged url.patch

* Fri Jul 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.4-4m)
- update kaffeine.desktop (set InitialPreference=8) 

* Mon Jul  9 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.4-3m)
- import kaffeine-0.8.4-url.patch
- http://qa.mandriva.com/show_bug.cgi?id=30469

* Wed Apr 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.4-2m)
- enable xcb support with xine-lib-1.1.6

* Sat Apr 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.4-1m)
- version 0.8.4
- remove merged gstreamer-0-10.patch

* Fri Apr  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-7m)
- fix Provides and Obsoletes for upgrading from STABLE_3

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-6m)
- clean up spec file

* Tue Feb 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-5m)
- replace gstreamer-0-10.patch (use opensuse's original patch)
- use "PACKAGE=%%{name}" to revise name of *.mo
- remove %%{_datadir}/locale/xx

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.3-4m)
- rebuild against kdelibs etc.

* Thu Feb  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-3m)
- import and modify kaffeine-gstreamer-0-10.patch from opensuse
 +* Mon Apr 10 2006 - jpr@suse.de
 +- Improve gstreamer 0.10 by getting visualization to work
 +* Sun Apr 09 2006 - jpr@suse.de
 +- Move gstreamer part to 0.10
- BuildPreReq: gstreamer-devel -> gstreamer010-devel
- BuildPreReq: gst-plugins-devel -> gst-plugins-base-devel
- Requires: gst-plugins-additional -> gst-plugins-base

* Fri Dec 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-2m)
- merge kaffeine-firefox-plugin and kaffeine-mozilla-plugin to kaffeine-plugin
- kaffeine-plugin Provides: kaffeine-firefox-plugin and kaffeine-mozilla-plugin
- kaffeine-plugin Obsoletes: kaffeine-firefox-plugin and kaffeine-mozilla-plugin

* Tue Nov 28 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.3-1m)
- version 0.8.3

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-2m)
- rebuild against arts-1.5.4-2m kdelibs-3.5.4-3m

* Sat Sep  9 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-1m)
- version 0.8.2
- remove merged 64bit-fix.patch

* Thu Aug  3 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.2-0.1.4m)
- add BuildPreReq: lame-devel >= 3.96.1-4m

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-0.1.3m)
- remove x-mplayer2.desktop for KDE 3.5.4

* Thu May 18 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.8.2-0.1.2m)
- add patch0: kaffeine-0.8.2-beta1-64bit-fix.patch

* Sun Apr 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-0.1.1m)
- update to version 0.8.2-beta1

* Mon Apr  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-1m)
- version 0.8.1

* Mon Mar 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-1m)
- version 0.8

* Tue Feb 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-5m)
- add a package kaffeine-firefox-plugin

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-4m)
- modify %%prep (clean up kaffeine-mozilla-plugin)
- add --enable-new-ldflags to configure

* Mon Nov 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-3m)
- rebuild against KDE 3.5 RC1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-2m)
- add --disable-rpath to configure

* Thu Sep  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.1-1m)
- version 0.7.1
- remove fix-copy-desktop-file.patch

* Mon Aug  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-1m)
- version 0.7

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6-4m)
- add --with-qt-libraries=%%{qtdir}/lib to configure

* Fri Mar 25 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6-3m)
- mozilla-plugin Requires: mozilla = %%{mozver} -> mozilla

* Thu Mar 24 2005 Toru Hoshina <t@momonga-linux.org>
- (0.6-2m)
- rebuild against mozilla-1.7.6
- install to {_libdir}/mozilla/plugins.

* Mon Mar 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6-1m)
- version 0.6

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.5-3m)
- enable x86_64.

* Sat Dec 25 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-2m)
- rebuild against mozilla-1.7.5

* Fri Dec 24 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-1m)
- version 0.5
- remove kaffeine-0.5-first-run-wizard.patch
- add kaffeine-0.5-fix-copy-desktop-file.patch
- BuildPreReq: XFree86-devel -> xorg-x11-devel

* Sat Nov  6 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-0.2.1m)
- update to 0.5-rc2
- update first-run-wizard.patch

* Tue Oct  5 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-0.1.1m)
- update to version 0.5-rc1
- update first-run-wizard.patch
- remove kaffeine-0.4.3b-m3u.patch.bz2

* Fri Oct  1 2004 Hiroyuki koga <kuma@momonga-linux.org>
- (0.4.3b-5m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Oct  1 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-4m)
- remove createDesktopIcon from first-run wizard

* Mon Sep 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-3m)
- rebuild against KDE 3.3.0
- move desktop file from %%{_datadir}/applnk to %%{_datadir}/applications/kde
- BuildPreReq: desktop-file-utils
- add %%{_datadir}/pixmaps/kaffeine.png for GNOME

* Thu Sep 16 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-2m)
- rebuild against mozilla-1.7.3

* Sun Aug 15 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3b-1m)
- update to 0.4.3b
- import kaffeine-0.4.3b-m3u.patch.bz2 from cooker
- add man files
- add %%post and %%postun sections
- BuildPreReq: XFree86-devel, zlib-devel
- add a package kaffeine-mozilla-plugin
- change URL
- s/%%define/%%global/g

* Sun Mar 21 2004 Toru Hoshina <t@momonga-linux.org>
- (0.4.1-2m)
- revised spec for enabling rpm 4.2.

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1
- rebuild against KDE 3.2.0

* Sat Jan 10 2004 kourin <kourin@fh.freeserve.ne.jp>
- (0.4.0-1m)
- ver up to 0.4.0

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (0.3.2-4m)
- rebuild against for qt-3.2.2

* Thu Sep 25 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-3m)
- clean up specfile
- use ./configure
- add --disable-debug flag

* Mon Sep  1 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-2m)
- revise %%files section

* Sun Aug 31 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-1m)
- import from Suzuka

* Wed Aug 13 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- added ja.po.

* Tue Aug 12 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- First build.
